The Delete free access document method is used to delete a reseller's document that can be accessed without the manager's token.
DELETE {{base_url}}/api/v3/resellers/{{reseller_id}}/free_access_documents/{{free_access_document_id}}
Authentication
This endpoint requires a JWT access token. Specify the token in the Authorization header using the Bearer authentication scheme:
Authorization: Bearer <JWT_ACCESS_TOKEN>
In Postman, select Bearer Token on the Authorization tab and enter the JWT access token.
Arguments
|
Name |
Parameter Type |
Data type |
Required/Optional |
Description |
|---|---|---|---|---|
|
Content-Type |
header |
string |
Required |
Media type of the request. Specify the following: application/vnd.api+json |
|
Accept |
header |
string |
Required |
Supported media types of the answer. Specify the following: application/vnd.api+json |
|
base_url |
path |
string |
Required |
ActivePlatform URL |
|
reseller_id |
path |
number |
Required |
ID of the current reseller or any of its downstream resellers (see Viewing and updating reseller general information) |
|
free_access_document_id |
path |
number |
Required |
Document ID |
Response model
|
Name |
Data type |
Description |
||||
|---|---|---|---|---|---|---|
|
data |
object |
Response data |
||||
|
|
id |
string |
Document ID in the platform |
|||
|
|
type |
string |
Data type |
|||
|
|
attributes |
object |
Document information |
|||
|
|
|
created_at |
string |
Date and time of the document creation |
||
|
|
|
updated_at |
string |
Data and time of the document last update |
||
|
|
|
name |
string |
Document name |
||
Request example
DELETE /api/v3/resellers/1/free_access_documents/56
Host: test.activeplatform.com
Content-Type: application/vnd.api+json
Authorization: Bearer <JWT_ACCESS_TOKEN>
Accept: application/vnd.api+json
Response example
{
"data": {
"id": "56",
"type": "free_access_documents",
"attributes": {
"created_at": "2020-10-09T16:49:19.699819+0300",
"updated_at": "2020-10-09T17:02:40.984184+0300",
"name": "1.pdf"
}
}
}